> For the complete documentation index, see [llms.txt](https://docs.verge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verge.io/plan-and-deploy/es/guia-de-implementacion/sizing/nic-driver-list.md).

# Controladores Ethernet incluidos

Lista de referencia de controladores Ethernet incluidos con VergeOS para nodos host.

VergeOS incluye un amplio conjunto de controladores Ethernet como parte de su pila de virtualización basada en Linux, y esta página refleja los controladores empaquetados dentro de la plataforma para la última versión de VergeOS.

{% hint style="info" %}
**¿Necesita hardware que no se muestra?**

Si no ve una familia de adaptadores de red que planea usar, contacte con **VergeOS Sales** para obtener orientación.\
Ellos pueden ayudar a evaluar sus requisitos y confirmar si su hardware se alinea con las prácticas de implementación recomendadas.
{% endhint %}

***

## Broadcom

| Familia / Serie                                                                                       | Controlador |
| ----------------------------------------------------------------------------------------------------- | ----------- |
| NetXtreme — BCM5700–5789, BCM570x/571x/572x/575x/576x, BCM5780–5788, BCM5901, BCM5906, BCM5776x–5779x | `tg3`       |
| NetXtreme II GbE — BCM5706, BCM5708, BCM5709, BCM5716                                                 | `bnx2`      |
| NetXtreme II 10/20G — BCM577xx                                                                        | `bnx2x`     |
| NetXtreme-C/E — BCM573xx, BCM574xx, BCM575xx, BCM576xx, BCM5880x                                      | `bnxt_en`   |
| BCM57708 (50–800G)                                                                                    | `bng_en`    |
| BCM4401/4402                                                                                          | `b44`       |

***

## Cavium / Marvell Octeon

| Familia / Serie                         | Controlador                                    |
| --------------------------------------- | ---------------------------------------------- |
| ThunderX NIC PF/VF, BGX, XCV            | `nicpf`, `nicvf`, `thunder_bgx`, `thunder_xcv` |
| LiquidIO — CN23XX, CN65XX, CN68XX (+VF) | `liquidio`, `liquidio_vf`                      |
| Punto final Octeon (+VF)                | `octeon_ep`, `octeon_ep_vf`                    |

***

## Chelsio

| Familia / Serie                                                     | Controlador |
| ------------------------------------------------------------------- | ----------- |
| T3 — T302, T310, T320, S310, S320, N320                             | `cxgb3`     |
| Cable unificado T4/T5/T6 — T4xx, T5xx, T6xx (variantes PF4 y PF0–3) | `cxgb4`     |
| Funciones virtuales T4/T5/T6                                        | `cxgb4vf`   |
| T1/T2 — Motor de protocolo T210 y adaptadores tempranos             | `cxgb`      |

***

## Intel

| Familia / Serie                                                              | Controlador          |
| ---------------------------------------------------------------------------- | -------------------- |
| PRO/100 — 8255x, 82562, ICH3–ICH5 LOM                                        | `e100`               |
| PRO/1000 PCI/PCI-X — 82542, 82543–82547                                      | `e1000`              |
| PCIe GbE — 82571–82574, 82583, LOM ICH8–ICH10, 82577/78/79, I217, I218, I219 | `e1000e`             |
| GbE para servidor — 82575, 82576, 82580, I210, I211, I350, I354, DH8900CC    | `igb` (+`igbvf`)     |
| 2,5G — I225, I226, Killer E3100X                                             | `igc`                |
| 10G — 82598, 82599, X520, X540, X550, X552, X553, X557, E610                 | `ixgbe` (+`ixgbevf`) |
| 10/25/40G — X710, XL710, XXV710, X722                                        | `i40e` (+`iavf`)     |
| 25/100/200G — E810, E822, E823, E825, E830, E835                             | `ice`                |
| IPU / Función de ruta de datos de infraestructura                            | `idpf`               |
| Interfaz del host del conmutador FM10000                                     | `fm10k`              |

***

## Marvell / SysKonnect

| Familia / Serie                                          | Controlador |
| -------------------------------------------------------- | ----------- |
| Yukon II — 88E80xx PCIe/PCI-X, SK-9Exx, SK-9Sxx, DGE-5xx | `sky2`      |
| Genesis / Yukon — 88E8001, SK-98xx, 3c940                | `skge`      |

***

## Mellanox / NVIDIA Networking

| Familia / Serie                                                           | Controlador      |
| ------------------------------------------------------------------------- | ---------------- |
| ConnectX-2, ConnectX-3, ConnectX-3 Pro (+VF)                              | `mlx4_core`      |
| Connect-IB, ConnectX-4/4 Lx, -5/5 Ex, -6/6 Dx/6 Lx, -7, -8, -9, -10 (+VF) | `mlx5_core`      |
| ASICs de conmutador Spectrum, Spectrum-2, -3, -4                          | `mlxsw_spectrum` |

***

## QLogic

| Familia / Serie                 | Controlador |
| ------------------------------- | ----------- |
| FastLinQ QL41000, QL45000 (+VF) | `qede`      |
| cLOM8214, ISP8324 convergente   | `qlcnic`    |
| ISP4022, ISP4032                | `qla3xxx`   |
| BCM57840 (con marca QLogic)     | `bnx2x`     |

***

## Realtek

| Familia / Serie                                                                        | Controlador         |
| -------------------------------------------------------------------------------------- | ------------------- |
| RTL8168/8169/811x GbE, RTL8125 2.5G, RTL8126 5G, RTL8127 10G, Killer E2600/E3000/E5000 | `r8169`             |
| RTL8139 / RTL8129 Fast Ethernet                                                        | `8139too`, `8139cp` |
| Conmutador Ethernet automotriz RTL90xx                                                 | `rtase`             |

***

## Virtual / Paravirtual

| Familia / Serie                                                     | Controlador  |
| ------------------------------------------------------------------- | ------------ |
| virtio-net (paravirtual, para instalaciones anidadas/virtualizadas) | `virtio_net` |

***

{% hint style="info" %}
**Variabilidad de la versión**

La disponibilidad de controladores puede variar entre las versiones de VergeOS a medida que evoluciona el kernel de Linux.\
Esta lista refleja los controladores incluidos en el momento de la compilación para la última versión.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verge.io/plan-and-deploy/es/guia-de-implementacion/sizing/nic-driver-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
